# dmd.root.rootobject

Provide the root object that classes in dmd inherit from.

#### Authors

Walter Bright, https://www.digitalmars.com

#### License

Boost License 1.0

Source: root/rootobject.d

Documentation: https://dlang.org/phobos/dmd_root_rootobject.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/root/rootobject.d

- `DYNCAST`

  #### Declaration

  `enum `DYNCAST`: int;`

- `RootObject`

  #### Declaration

  `class `RootObject`;`

  - `toString`

    #### Declaration

    `const const(char)[] `toString`();`